Direct Debit · API reference · instruments
List Instruments
Base URL not set in the spec · operationId list_instruments_instruments_get
List instruments with cursor-based pagination.
Pagination:
- cursor: Opaque cursor from previous response
- Use
next_cursorfrom response for next page
Authorization
The spec does not declare an authentication scheme for this endpoint.
Query parameters
limit integer Maximum number of records to return
cursor string | null Cursor for pagination (use next_cursor from previous response)
Headers
X-API-Key string | null Responses
200 Successful Response application/json
instruments array of (InstrumentResponseMexicanClabe | InstrumentResponseMexicanDirectDebitCard) requiredInstrumentResponseMexicanClabeorg_id instruments[].org_id string (uuid) requiredID of the organization this instrument belongs to
customer_id instruments[].customer_id string (uuid) requiredID of the customer that owns this instrument
type instruments[].type string requiredType of instrument (card, bank_account, other)
mx_direct_debit_card mx_clabe description instruments[].description string | null Description of the instrument
status instruments[].status string Current status of the instrument
active inactive verification_in_progress errored mx_clabe instruments[].mx_clabe MXClabeInstrument | null CLABE instrument for Mexico
clabe instruments[].mx_clabe.clabe string requiredCLABE number
can_credit instruments[].mx_clabe.can_credit boolean | null Whether this instrument can receive credits
can_debit instruments[].mx_clabe.can_debit boolean | null Whether this instrument can be debited
currency instruments[].currency string | null ISO 4217 currency code
ownership_verification_result instruments[].ownership_verification_result string | null Result of ownership verification
no_match matched errored ownership_verification_result_at instruments[].ownership_verification_result_at string (date-time) | null When ownership verification was completed
id instruments[].id string (uuid) requiredcreated_at instruments[].created_at string (date-time) requiredupdated_at instruments[].updated_at string (date-time) | null InstrumentResponseMexicanDirectDebitCardorg_id instruments[].org_id string (uuid) requiredID of the organization this instrument belongs to
customer_id instruments[].customer_id string (uuid) requiredID of the customer that owns this instrument
type instruments[].type string requiredType of instrument (card, bank_account, other)
mx_direct_debit_card mx_clabe description instruments[].description string | null Description of the instrument
status instruments[].status string Current status of the instrument
active inactive verification_in_progress errored mx_direct_debit_card instruments[].mx_direct_debit_card MXDirectDebitCardInstrument | null Card instrument for Mexico Direct Debit
card_number instruments[].mx_direct_debit_card.card_number string requiredCard number
bank instruments[].mx_direct_debit_card.bank string requiredBank identifier
mx_santander mx_banorte mx_bbva mx_banamex mx_hsbc mx_citi mx_banjercito mx_bajio mx_inbursa mx_invex mx_america mx_vepormas mx_azteca mx_multiva mx_actinver mx_bancoppel mx_fundaciondonde mx_bancrea mx_bankaaol mx_scotiabank mx_banregio mx_afirme mx_compartamos mx_base mx_ci mx_mifel mx_interbanco mx_sabadell currency instruments[].currency string | null ISO 4217 currency code
ownership_verification_result instruments[].ownership_verification_result string | null Result of ownership verification
no_match matched errored ownership_verification_result_at instruments[].ownership_verification_result_at string (date-time) | null When ownership verification was completed
id instruments[].id string (uuid) requiredcreated_at instruments[].created_at string (date-time) requiredupdated_at instruments[].updated_at string (date-time) | null limit integer requiredhas_next boolean has_previous boolean next_cursor string | null 422 Validation Error application/json
detail array of ValidationError loc detail[].loc array of (string | integer) requiredmsg detail[].msg string requiredtype detail[].type string requiredRequest
curl -X GET "$BASE_URL/instruments" \
-H "X-API-Key: $API_KEY"const res = await fetch(`${BASE_URL}/instruments`, {
method: "GET",
headers: {
"X-API-Key": API_KEY,
},
});
const data = await res.json();import requests
res = requests.get(
f"{BASE_URL}/instruments",
headers={
"X-API-Key": API_KEY,
},
)
data = res.json()